Index: palm/trunk/SCRIPTS/palm_gf_files/palm_gf_table.ui
===================================================================
--- palm/trunk/SCRIPTS/palm_gf_files/palm_gf_table.ui	(revision 4843)
+++ palm/trunk/SCRIPTS/palm_gf_files/palm_gf_table.ui	(revision 4869)
@@ -8,5 +8,5 @@
     <y>0</y>
     <width>1030</width>
-    <height>439</height>
+    <height>536</height>
    </rect>
   </property>
@@ -20,5 +20,5 @@
      <y>166</y>
      <width>1005</width>
-     <height>266</height>
+     <height>361</height>
     </rect>
    </property>
@@ -38,4 +38,7 @@
     <bool>true</bool>
    </property>
+   <property name="editTriggers">
+    <set>QAbstractItemView::NoEditTriggers</set>
+   </property>
    <property name="dragEnabled">
     <bool>false</bool>
@@ -48,5 +51,5 @@
    </property>
    <property name="selectionBehavior">
-    <enum>QAbstractItemView::SelectItems</enum>
+    <enum>QAbstractItemView::SelectRows</enum>
    </property>
    <property name="sortingEnabled">
@@ -54,5 +57,5 @@
    </property>
    <property name="rowCount">
-    <number>8</number>
+    <number>11</number>
    </property>
    <property name="columnCount">
@@ -75,4 +78,19 @@
    <row>
     <property name="text">
+     <string>11</string>
+    </property>
+   </row>
+   <row>
+    <property name="text">
+     <string>10</string>
+    </property>
+   </row>
+   <row>
+    <property name="text">
+     <string>9</string>
+    </property>
+   </row>
+   <row>
+    <property name="text">
      <string>8</string>
     </property>
@@ -150,5 +168,5 @@
    <property name="geometry">
     <rect>
-     <x>831</x>
+     <x>847</x>
      <y>60</y>
      <width>30</width>
@@ -163,6 +181,6 @@
    <property name="geometry">
     <rect>
-     <x>851</x>
-     <y>112</y>
+     <x>867</x>
+     <y>52</y>
      <width>131</width>
      <height>17</height>
@@ -176,5 +194,5 @@
    <property name="geometry">
     <rect>
-     <x>145</x>
+     <x>161</x>
      <y>110</y>
      <width>62</width>
@@ -210,5 +228,5 @@
    <property name="geometry">
     <rect>
-     <x>208</x>
+     <x>224</x>
      <y>110</y>
      <width>62</width>
@@ -244,5 +262,5 @@
    <property name="geometry">
     <rect>
-     <x>271</x>
+     <x>287</x>
      <y>110</y>
      <width>62</width>
@@ -278,5 +296,5 @@
    <property name="geometry">
     <rect>
-     <x>334</x>
+     <x>350</x>
      <y>110</y>
      <width>62</width>
@@ -312,5 +330,5 @@
    <property name="geometry">
     <rect>
-     <x>397</x>
+     <x>413</x>
      <y>110</y>
      <width>62</width>
@@ -346,5 +364,5 @@
    <property name="geometry">
     <rect>
-     <x>460</x>
+     <x>476</x>
      <y>110</y>
      <width>62</width>
@@ -377,5 +395,5 @@
    <property name="geometry">
     <rect>
-     <x>523</x>
+     <x>539</x>
      <y>110</y>
      <width>62</width>
@@ -408,57 +426,8 @@
    </property>
   </widget>
-  <widget class="QSpinBox" name="ngpts_max">
-   <property name="geometry">
-    <rect>
-     <x>587</x>
-     <y>110</y>
-     <width>80</width>
-     <height>22</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="minimumSize">
-    <size>
-     <width>80</width>
-     <height>22</height>
-    </size>
-   </property>
-   <property name="maximumSize">
-    <size>
-     <width>80</width>
-     <height>22</height>
-    </size>
-   </property>
-   <property name="autoFillBackground">
-    <bool>false</bool>
-   </property>
-   <property name="wrapping">
-    <bool>false</bool>
-   </property>
-   <property name="frame">
-    <bool>true</bool>
-   </property>
-   <property name="buttonSymbols">
-    <enum>QAbstractSpinBox::UpDownArrows</enum>
-   </property>
-   <property name="correctionMode">
-    <enum>QAbstractSpinBox::CorrectToNearestValue</enum>
-   </property>
-   <property name="maximum">
-    <number>99999999</number>
-   </property>
-   <property name="value">
-    <number>0</number>
-   </property>
-  </widget>
-  <widget class="QLabel" name="label_2">
-   <property name="geometry">
-    <rect>
-     <x>115</x>
+  <widget class="QLabel" name="max_label">
+   <property name="geometry">
+    <rect>
+     <x>131</x>
      <y>107</y>
      <width>47</width>
@@ -470,8 +439,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label">
-   <property name="geometry">
-    <rect>
-     <x>115</x>
+  <widget class="QLabel" name="min_label">
+   <property name="geometry">
+    <rect>
+     <x>131</x>
      <y>83</y>
      <width>48</width>
@@ -486,5 +455,5 @@
    <property name="geometry">
     <rect>
-     <x>146</x>
+     <x>162</x>
      <y>86</y>
      <width>62</width>
@@ -520,5 +489,5 @@
    <property name="geometry">
     <rect>
-     <x>209</x>
+     <x>225</x>
      <y>86</y>
      <width>62</width>
@@ -554,5 +523,5 @@
    <property name="geometry">
     <rect>
-     <x>272</x>
+     <x>288</x>
      <y>86</y>
      <width>62</width>
@@ -588,5 +557,5 @@
    <property name="geometry">
     <rect>
-     <x>335</x>
+     <x>351</x>
      <y>86</y>
      <width>62</width>
@@ -622,5 +591,5 @@
    <property name="geometry">
     <rect>
-     <x>398</x>
+     <x>414</x>
      <y>86</y>
      <width>62</width>
@@ -656,5 +625,5 @@
    <property name="geometry">
     <rect>
-     <x>461</x>
+     <x>477</x>
      <y>86</y>
      <width>62</width>
@@ -687,5 +656,5 @@
    <property name="geometry">
     <rect>
-     <x>524</x>
+     <x>540</x>
      <y>86</y>
      <width>62</width>
@@ -718,45 +687,11 @@
    </property>
   </widget>
-  <widget class="QSpinBox" name="ngpts_min">
-   <property name="geometry">
-    <rect>
-     <x>587</x>
-     <y>86</y>
-     <width>80</width>
-     <height>22</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="minimumSize">
-    <size>
-     <width>80</width>
-     <height>22</height>
-    </size>
-   </property>
-   <property name="maximumSize">
-    <size>
-     <width>80</width>
-     <height>22</height>
-    </size>
-   </property>
-   <property name="correctionMode">
-    <enum>QAbstractSpinBox::CorrectToNearestValue</enum>
-   </property>
-   <property name="maximum">
-    <number>99999999</number>
-   </property>
-  </widget>
-  <widget class="QLabel" name="label_12">
-   <property name="geometry">
-    <rect>
-     <x>851</x>
-     <y>70</y>
-     <width>52</width>
-     <height>14</height>
+  <widget class="QLabel" name="status_text">
+   <property name="geometry">
+    <rect>
+     <x>867</x>
+     <y>66</y>
+     <width>61</width>
+     <height>20</height>
     </rect>
    </property>
@@ -768,6 +703,6 @@
    <property name="geometry">
     <rect>
-     <x>851</x>
-     <y>90</y>
+     <x>867</x>
+     <y>30</y>
      <width>131</width>
      <height>16</height>
@@ -781,5 +716,5 @@
    <property name="geometry">
     <rect>
-     <x>100</x>
+     <x>120</x>
      <y>55</y>
      <width>8</width>
@@ -791,8 +726,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_3">
-   <property name="geometry">
-    <rect>
-     <x>149</x>
+  <widget class="QLabel" name="nx_label">
+   <property name="geometry">
+    <rect>
+     <x>165</x>
      <y>67</y>
      <width>58</width>
@@ -822,5 +757,5 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_4">
+  <widget class="QLabel" name="ny_label">
    <property name="enabled">
     <bool>true</bool>
@@ -828,5 +763,5 @@
    <property name="geometry">
     <rect>
-     <x>213</x>
+     <x>229</x>
      <y>67</y>
      <width>57</width>
@@ -856,8 +791,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_5">
-   <property name="geometry">
-    <rect>
-     <x>275</x>
+  <widget class="QLabel" name="nz_label">
+   <property name="geometry">
+    <rect>
+     <x>291</x>
      <y>67</y>
      <width>57</width>
@@ -887,8 +822,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_6">
-   <property name="geometry">
-    <rect>
-     <x>340</x>
+  <widget class="QLabel" name="npex_label">
+   <property name="geometry">
+    <rect>
+     <x>356</x>
      <y>67</y>
      <width>57</width>
@@ -918,8 +853,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_8">
-   <property name="geometry">
-    <rect>
-     <x>400</x>
+  <widget class="QLabel" name="npey_label">
+   <property name="geometry">
+    <rect>
+     <x>416</x>
      <y>67</y>
      <width>57</width>
@@ -949,28 +884,28 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_7">
-   <property name="geometry">
-    <rect>
-     <x>461</x>
+  <widget class="QLabel" name="npxnpy_label">
+   <property name="geometry">
+    <rect>
+     <x>470</x>
      <y>67</y>
-     <width>57</width>
-     <height>19</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="minimumSize">
-    <size>
-     <width>57</width>
-     <height>19</height>
-    </size>
-   </property>
-   <property name="maximumSize">
-    <size>
-     <width>57</width>
+     <width>65</width>
+     <height>19</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="minimumSize">
+    <size>
+     <width>65</width>
+     <height>19</height>
+    </size>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>65</width>
      <height>19</height>
     </size>
@@ -980,8 +915,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_9">
-   <property name="geometry">
-    <rect>
-     <x>525</x>
+  <widget class="QLabel" name="np_label">
+   <property name="geometry">
+    <rect>
+     <x>541</x>
      <y>67</y>
      <width>57</width>
@@ -1011,8 +946,8 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_10">
-   <property name="geometry">
-    <rect>
-     <x>590</x>
+  <widget class="QLabel" name="ngpts_label">
+   <property name="geometry">
+    <rect>
+     <x>606</x>
      <y>67</y>
      <width>57</width>
@@ -1189,17 +1124,23 @@
     <rect>
      <x>5</x>
-     <y>25</y>
-     <width>97</width>
-     <height>106</height>
+     <y>10</y>
+     <width>111</width>
+     <height>131</height>
     </rect>
    </property>
    <layout class="QVBoxLayout" name="verticalLayout">
     <item>
-     <widget class="QPushButton" name="save_to_file_button">
+     <widget class="QPushButton" name="save_button">
       <property name="enabled">
-       <bool>false</bool>
+       <bool>true</bool>
+      </property>
+      <property name="minimumSize">
+       <size>
+        <width>0</width>
+        <height>25</height>
+       </size>
       </property>
       <property name="toolTip">
-       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Currently Disabled&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Save SELECTED results&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
       </property>
       <property name="text">
@@ -1209,7 +1150,13 @@
     </item>
     <item>
-     <widget class="QPushButton" name="pushButton_3">
+     <widget class="QPushButton" name="load_all_button">
+      <property name="minimumSize">
+       <size>
+        <width>0</width>
+        <height>25</height>
+       </size>
+      </property>
       <property name="toolTip">
-       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Loads all calculated results. &lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Load all data that was previously calculated.&lt;/p&gt;&lt;p&gt;CAUTION: Can take some time to load&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
       </property>
       <property name="text">
@@ -1219,5 +1166,14 @@
     </item>
     <item>
-     <widget class="QPushButton" name="pushButton">
+     <widget class="QPushButton" name="exec_button">
+      <property name="minimumSize">
+       <size>
+        <width>0</width>
+        <height>25</height>
+       </size>
+      </property>
+      <property name="toolTip">
+       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Loads results that fit within set minima/maxima&lt;/p&gt;&lt;p&gt;&lt;br/&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+      </property>
       <property name="text">
        <string>Execute filter</string>
@@ -1226,5 +1182,14 @@
     </item>
     <item>
-     <widget class="QPushButton" name="pushButton_2">
+     <widget class="QPushButton" name="reset_button">
+      <property name="minimumSize">
+       <size>
+        <width>0</width>
+        <height>25</height>
+       </size>
+      </property>
+      <property name="toolTip">
+       <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Reset Min/Max to original values&lt;/p&gt;&lt;p&gt;&lt;br/&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+      </property>
       <property name="text">
        <string>Reset limits</string>
@@ -1266,28 +1231,28 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_13">
-   <property name="geometry">
-    <rect>
-     <x>677</x>
+  <widget class="QLabel" name="nxnpex_label">
+   <property name="geometry">
+    <rect>
+     <x>693</x>
      <y>67</y>
-     <width>57</width>
-     <height>19</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="minimumSize">
-    <size>
-     <width>57</width>
-     <height>19</height>
-    </size>
-   </property>
-   <property name="maximumSize">
-    <size>
-     <width>57</width>
+     <width>65</width>
+     <height>19</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="minimumSize">
+    <size>
+     <width>65</width>
+     <height>19</height>
+    </size>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>65</width>
      <height>19</height>
     </size>
@@ -1297,28 +1262,28 @@
    </property>
   </widget>
-  <widget class="QLabel" name="label_14">
-   <property name="geometry">
-    <rect>
-     <x>755</x>
+  <widget class="QLabel" name="nynpey_label">
+   <property name="geometry">
+    <rect>
+     <x>771</x>
      <y>67</y>
-     <width>57</width>
-     <height>19</height>
-    </rect>
-   </property>
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
-   </property>
-   <property name="minimumSize">
-    <size>
-     <width>57</width>
-     <height>19</height>
-    </size>
-   </property>
-   <property name="maximumSize">
-    <size>
-     <width>57</width>
+     <width>65</width>
+     <height>19</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="minimumSize">
+    <size>
+     <width>65</width>
+     <height>19</height>
+    </size>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>65</width>
      <height>19</height>
     </size>
@@ -1331,5 +1296,5 @@
    <property name="geometry">
     <rect>
-     <x>670</x>
+     <x>686</x>
      <y>86</y>
      <width>71</width>
@@ -1344,5 +1309,5 @@
    <property name="geometry">
     <rect>
-     <x>670</x>
+     <x>686</x>
      <y>110</y>
      <width>71</width>
@@ -1357,5 +1322,5 @@
    <property name="geometry">
     <rect>
-     <x>747</x>
+     <x>763</x>
      <y>86</y>
      <width>71</width>
@@ -1370,5 +1335,5 @@
    <property name="geometry">
     <rect>
-     <x>747</x>
+     <x>763</x>
      <y>110</y>
      <width>71</width>
@@ -1380,7 +1345,93 @@
    </property>
   </widget>
+  <widget class="QLabel" name="status_label">
+   <property name="geometry">
+    <rect>
+     <x>870</x>
+     <y>90</y>
+     <width>151</width>
+     <height>41</height>
+    </rect>
+   </property>
+   <property name="text">
+    <string/>
+   </property>
+  </widget>
+  <widget class="QDoubleSpinBox" name="ngpts_max">
+   <property name="geometry">
+    <rect>
+     <x>603</x>
+     <y>110</y>
+     <width>80</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="minimumSize">
+    <size>
+     <width>80</width>
+     <height>22</height>
+    </size>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>80</width>
+     <height>22</height>
+    </size>
+   </property>
+   <property name="correctionMode">
+    <enum>QAbstractSpinBox::CorrectToNearestValue</enum>
+   </property>
+   <property name="decimals">
+    <number>0</number>
+   </property>
+   <property name="maximum">
+    <double>9999999999999999464902769475481793196872414789632.000000000000000</double>
+   </property>
+  </widget>
+  <widget class="QDoubleSpinBox" name="ngpts_min">
+   <property name="geometry">
+    <rect>
+     <x>603</x>
+     <y>86</y>
+     <width>80</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="minimumSize">
+    <size>
+     <width>80</width>
+     <height>22</height>
+    </size>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>80</width>
+     <height>22</height>
+    </size>
+   </property>
+   <property name="correctionMode">
+    <enum>QAbstractSpinBox::CorrectToNearestValue</enum>
+   </property>
+   <property name="decimals">
+    <number>0</number>
+   </property>
+   <property name="maximum">
+    <double>10000000000000000725314363815292351261583744096465219555182101554790400.000000000000000</double>
+   </property>
+  </widget>
  </widget>
  <tabstops>
-  <tabstop>pushButton_3</tabstop>
   <tabstop>nx_min</tabstop>
   <tabstop>nx_max</tabstop>
@@ -1397,8 +1448,5 @@
   <tabstop>np_min</tabstop>
   <tabstop>np_max</tabstop>
-  <tabstop>ngpts_min</tabstop>
-  <tabstop>ngpts_max</tabstop>
-  <tabstop>pushButton</tabstop>
-  <tabstop>pushButton_2</tabstop>
+  <tabstop>reset_button</tabstop>
   <tabstop>tableWidget</tabstop>
  </tabstops>
